# A description of what this class does
#
# @summary A short summary of the purpose of this class
#
# @example
#   include openldap::server
class openldap::server (
  String                $owner,
  String                $group,
  String                $server_package,
  String                $utils_package,
  Enum['olc', 'augeas'] $provider
)
{
  if $::osfamily == 'Debian' {
    $answerfile = '/var/cache/debconf/slapd.preseed'
    file { $answerfile:
      ensure => file,
      mode   => '0644',
      owner  => 'root',
      group  => 'root',
      source => 'puppet:///modules/darkmorford-openldap/slapd.preseed',
      before => Package[$server_package]
    }
  } else {
    $answerfile = undef
  }

  if $provider == 'olc' {
    package { $utils_package:
      ensure => installed
    }
  }

  package { $server_package:
    ensure       => installed,
    responsefile => $answerfile
  }
}
